View Issue Details

IDProjectCategoryView StatusLast Update
0004943SOGoActiveSyncpublic2020-02-10 09:42
Reporterondrej.kolin Assigned Toludovic  
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformServerOSUbuntuOS Version18.04
Product Version4.2.0 
Fixed in Version4.3.1 
Summary0004943: Event delayed by one hour after EAS sync done
Description

ICS exported from our internal booking system.

1) Import to outlook - time is correct
2) Sogo shows it as one hour earlier events

And it btw. adds a notification to the event, as there were no notification before.

Additional Information

dpkg --list | grep sogo
ii sogo 4.2.0.20200120-1 amd64 a modern and scalable groupware
ii sogo-activesync 4.2.0.20200120-1 amd64 a modern and scalable groupware - ActiveSync module

TagsNo tags attached.

Activities

ondrej.kolin

ondrej.kolin

2020-01-22 03:15

reporter  

trunc.log (58,101 bytes)   
Jan 21 15:06:26 sogod [6058]: 93.233.47.202, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=FolderSync&User=user@benocs.com&DeviceId=0BE9FEC2F3224CDA9062A8DB3E36DDFC&DeviceType=WindowsOutlook15 HTTP/1.1" 200 61/49 0.997 - - 0
Jan 21 15:06:26 sogod [6056]: <0x0x55cd9f6c1f10[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user user in Ping...
Jan 21 15:06:26 sogod [6058]: <0x0x55cd9c440d60[SOGoActiveSyncDispatcher]> EAS - request for device 0BE9FEC2F3224CDA9062A8DB3E36DDFC: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>1579615567</SyncKey>
   <CollectionId>vevent%2Fpersonal</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <GetChanges>0</GetChanges>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>1</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
   <Commands>
    <Add>
     <Class>Calendar</Class>
     <ClientId>{C8F5EA18-67E1-4CA3-8FFE-904F10EFF832}</ClientId>
     <ApplicationData>
      <TimeZone xmlns="Calendar:">xP///00AaQB0AHQAZQBsAGUAdQByAG8AcADkAGkAcwBjAGgAZQAgAFoAZQBpAHQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAE0AaQB0AHQAZQBsAGUAdQByAG8AcADkAGkAcwBjAGgAZQAgAFMAbwBtAG0AZQByAHoAZQBpAHQAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
      <DTStamp xmlns="Calendar:">20200121T140609Z</DTStamp>
      <StartTime xmlns="Calendar:">20200219T043500Z</StartTime>
      <Subject xmlns="Calendar:">Düsseldorf (DUS) -&gt; Berlin (TXL) Mi, 19.02.2020 06:35 - Mi, 19.02.2020 07:50</Subject>
      <UID xmlns="Calendar:">T17565380.1728231706.0</UID>
      <EndTime xmlns="Calendar:">20200219T055000Z</EndTime>
      <Body xmlns="AirSyncBase:">
       <Type>1</Type>
       <Data>Mi, 19.02.2020 DUS - TXL  06:35 - 07:50 Klasse E EW9048
Tarif: umbuchbar (ggf. Aufpreis zur nächst höheren Buchungsklasse) für 70,00 € pro Strecke und nicht stornierbar
Tickettyp	Ihr Ticket ist ein elektronisches Ticket. Sie erhalten Ihre Bordkarte am Check-IN Automat oder unter Vorlage Ihres Lichtbildausweises am Schalter der Germanwings.
Identifikation mit	Personalausweis
Buchungsnr.	J8SBJI
Preise	29,99 EUR

myTO Vorgangsnummer: &lt;T17565380&gt;</Data>
      </Body>
      <Categories xmlns="Calendar:">
       <Category>Flight booking</Category>
      </Categories>
      <Sensitivity xmlns="Calendar:">0</Sensitivity>
      <BusyStatus xmlns="Calendar:">0</BusyStatus>
      <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
      <Reminder xmlns="Calendar:">1080</Reminder>
      <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
     </ApplicationData>
    </Add>
   </Commands>
  </Collection>
 </Collections>
</Sync>

Jan 21 15:06:26 sogod [6058]: <0x0x55cd9c440d60[SOGoActiveSyncDispatcher]> EAS - Use original serverId: T17565380.1728231706.0 (null)
Jan 21 15:06:26 sogod [6058]: <0x0x55cd9c440d60[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
Jan 21 15:06:26 sogod [6058]: 93.233.47.202, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user@benocs.com&DeviceId=0BE9FEC2F3224CDA9062A8DB3E36DDFC&DeviceType=WindowsOutlook15 HTTP/1.1" 200 139/1071 0.226 - - 0
Jan 21 15:06:27 sogod [6058]: <0x0x55cda1194310[SOGoActiveSyncDispatcher]> EAS - request for device 0BE9FEC2F3224CDA9062A8DB3E36DDFC: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>49760-101078</SyncKey>
   <CollectionId>mail%2F5d978f1f8028e05aa042000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>1579615567</SyncKey>
   <CollectionId>vevent%2Fpersonal</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>1</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>1579176620</SyncKey>
   <CollectionId>vcard%2Fpersonal</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>1</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>19809-15593</SyncKey>
   <CollectionId>mail%2F3ea54e160c8fe15a3165000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>4201-6232</SyncKey>
   <CollectionId>mail%2F4e0d8d3ae4efe15a442d000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>1579615567</SyncKey>
   <CollectionId>vtodo%2Fpersonal</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>1</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>10-5</SyncKey>
   <CollectionId>mail%2F0d9b8301a47dc95d350e000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>5-4</SyncKey>
   <CollectionId>mail%2F1523961adc17dd5d587e000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>3-1</SyncKey>
   <CollectionId>mail%2F1e54f909ca00015c0626000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>2-2</SyncKey>
   <CollectionId>mail%2F1f54f909ca00015c0626000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>46-77</SyncKey>
   <CollectionId>mail%2F24ca081e9c4cf75dd826000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>2-2</SyncKey>
   <CollectionId>mail%2F2cea5f0b937ee65c6920000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>4-2</SyncKey>
   <CollectionId>mail%2F2dbbce195a1a255ca634000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>1-1</SyncKey>
   <CollectionId>mail%2F3294190ff701015cf126000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>1-1</SyncKey>
   <CollectionId>mail%2F3394190ff701015cf126000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
   </Options>
  </Collection>
  <Collection>
   <SyncKey>1-1</SyncKey>
   <CollectionId>mail%2F3494190ff701015cf126000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>512</WindowSize>
   <Options>
    <FilterType>0</FilterType>
    <MIMESupport>2</MIMESupport>
    <MIMETruncation>8</MIMETruncation>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <AllOrNone>1</AllOrNone>
--
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:06:55 sogod [6051]: 52.97.140.101, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=9570f3478cb048deba296fd692e12677&DeviceType=Outlook HTTP/1.1" 200 0/91 0.292 - - 0
Jan 21 15:06:56 sogod [6051]: <0x0x55cd9f8d9690[SOGoActiveSyncDispatcher]> EAS - request for device 9570f3478cb048deba296fd692e12677: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>1579615567</SyncKey>
   <CollectionId>vevent%2Fpersonal</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>100</WindowSize>
   <Options>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>1</Type>
     <TruncationSize>35000000</TruncationSize>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
    <Conflict>0</Conflict>
    <FilterType>0</FilterType>
   </Options>
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:06:56 sogod [6051]: <0x0x55cd9f8d9690[SOGoActiveSyncDispatcher]> EAS - Use original serverId: T17565380.1728231706.0 (null)
Jan 21 15:06:56 sogod [6051]: <0x0x55cd9f8d9690[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
Jan 21 15:06:56 sogod [6051]: <0x0x55cd9f8d9690[SOGoActiveSyncDispatcher]> EAS - response for device 9570f3478cb048deba296fd692e12677: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <Class>Calendar</Class>
   <SyncKey>1579615586</SyncKey>
   <CollectionId>vevent%2Fpersonal</CollectionId>
   <Status>1</Status>
   <Commands>
    <Add>
     <ServerId>T17565380.1728231706.0</ServerId>
     <ApplicationData>
      <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
      <StartTime xmlns="Calendar:">20200219T043500Z</StartTime>
      <EndTime xmlns="Calendar:">20200219T055000Z</EndTime>
      <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
      <BusyStatus xmlns="Calendar:">0</BusyStatus>
      <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
      <Subject xmlns="Calendar:">Düsseldorf (DUS) -&gt; Berlin (TXL) Mi, 19.02.2020 06:35 - Mi, 19.02.2020 07:50</Subject>
      <UID xmlns="Calendar:">T17565380.1728231706.0</UID>
      <Body xmlns="AirSyncBase:">
       <Type>1</Type>
       <EstimatedDataSize>473</EstimatedDataSize>
       <Data>Mi, 19.02.2020 DUS - TXL  06:35 - 07:50 Klasse E EW9048
Tarif: umbuchbar (ggf. Aufpreis zur nächst höheren Buchungsklasse) für 70,00 € pro Strecke und nicht stornierbar
Tickettyp	Ihr Ticket ist ein elektronisches Ticket. Sie erhalten Ihre Bordkarte am Check-IN Automat oder unter Vorlage Ihres Lichtbildausweises am Schalter der Germanwings.
Identifikation mit	Personalausweis
Buchungsnr.	J8SBJI
Preise	29,99 EUR

myTO Vorgangsnummer: &lt;T17565380&gt;</Data>
      </Body>
      <Sensitivity xmlns="Calendar:">0</Sensitivity>
      <Categories xmlns="Calendar:">
       <Category>Flight booking</Category>
      </Categories>
      <Reminder xmlns="Calendar:">1080</Reminder>
      <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
     </ApplicationData>
    </Add>
   </Commands>
  </Collection>
 </Collections>
</Sync>

Jan 21 15:06:56 sogod [6051]: 52.97.140.101, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=9570f3478cb048deba296fd692e12677&DeviceType=Outlook HTTP/1.1" 200 1007/104 0.199 - - 0
Jan 21 15:06:56 sogod [6051]: <0x0x55cd9fc0dfb0[SOGoActiveSyncDispatcher]> EAS - request for device 9570f3478cb048deba296fd692e12677: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>19-45</SyncKey>
   <CollectionId>mail%2F261df210e23cf95abf47000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>100</WindowSize>
   <Options>
    <Conflict>0</Conflict>
    <FilterType>5</FilterType>
   </Options>
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:06:56 sogod [6051]: 52.97.140.101, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=9570f3478cb048deba296fd692e12677&DeviceType=Outlook HTTP/1.1" 200 0/93 0.293 - - 0
Jan 21 15:06:57 sogod [6056]: <0x0x55cd9f6c1f10[SOGoActiveSyncDispatcher]> Change detected using Ping, we let the EAS client know to send a Sync.
Jan 21 15:06:57 sogod [6056]: <0x0x55cd9f6c1f10[SOGoActiveSyncDispatcher]> EAS - response for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Ping xmlns="Ping:">
 <Status>2</Status>
 <Folders>
  <Folder>vevent%2Fpersonal</Folder>
 </Folders>
</Ping>

Jan 21 15:06:57 sogod [6056]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 36/214 30.982 - - 0
Jan 21 15:06:57 sogod [6056]: <0x0x55cd9d429e80[SOGoActiveSyncDispatcher]> EAS - request for device 9570f3478cb048deba296fd692e12677: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>4201-6232</SyncKey>
   <CollectionId>mail%2F4e0d8d3ae4efe15a442d000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>100</WindowSize>
   <Options>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <TruncationSize>10000</TruncationSize>
    </BodyPreference>
    <Conflict>0</Conflict>
    <FilterType>5</FilterType>
    <MIMESupport>2</MIMESupport>
   </Options>
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:06:57 sogod [6051]: 52.97.154.5, 172.16.0.210 "OPTIONS /SOGo/Microsoft-Server-ActiveSync?Cmd=Options&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 0/0 0.005 - - 0
Jan 21 15:06:57 sogod [6051]: <0x0x55cda077a590[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<FolderSync xmlns="FolderHierarchy:">
 <SyncKey>activesync_benocs_com_7f03_23acc041_2</SyncKey>
</FolderSync>

Jan 21 15:06:57 sogod [6056]: 52.97.140.101, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=9570f3478cb048deba296fd692e12677&DeviceType=Outlook HTTP/1.1" 200 0/122 0.299 - - 0
Jan 21 15:06:57 sogod [6056]: <0x0x55cd9e437e30[SOGoActiveSyncDispatcher]> EAS - request for device 9570f3478cb048deba296fd692e12677: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Ping xmlns="Ping:">
 <HeartbeatInterval>180</HeartbeatInterval>
 <Folders>
  <Folder>
   <Id>mail%2F5d978f1f8028e05aa042000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4e0d8d3ae4efe15a442d000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2Fd65107233df9f95d114b000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>vevent%2Fpersonal</Id>
   <Class>Calendar</Class>
  </Folder>
 </Folders>
</Ping>

Jan 21 15:06:58 sogod [6056]: <0x0x55cd9e437e30[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user user in Ping...
Jan 21 15:06:58 sogod [6051]: <0x0x55cda077a590[SOGoActiveSyncDispatcher]> EAS - response for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<FolderSync xmlns="FolderHierarchy:">
 <Status>1</Status>
 <SyncKey>activesync_benocs_com_7f03_23acc041_2</SyncKey>
 <Changes>
  <Count>0</Count>
 </Changes>
</FolderSync>

Jan 21 15:06:58 sogod [6051]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=FolderSync&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 61/49 0.924 - - 0
Jan 21 15:06:58 sogod [6051]: <0x0x55cd9e84fc70[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>49760-101078</SyncKey>
   <CollectionId>mail%2F5d978f1f8028e05aa042000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>100</WindowSize>
   <Options>
    <Conflict>0</Conflict>
    <FilterType>5</FilterType>
   </Options>
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:06:58 sogod [6051]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 0/100 0.300 - - 0
Jan 21 15:06:58 sogod [6051]: <0x0x55cd9da2fc70[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>1-1</SyncKey>
   <CollectionId>mail%2Fd65107233df9f95d114b000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>100</WindowSize>
   <Options>
    <Conflict>0</Conflict>
    <FilterType>5</FilterType>
   </Options>
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:06:59 sogod [6051]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 0/91 0.291 - - 0
Jan 21 15:06:59 sogod [6051]: <0x0x55cd9ce95560[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>1579615567</SyncKey>
   <CollectionId>vevent%2Fpersonal</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>100</WindowSize>
   <Options>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>1</Type>
     <TruncationSize>35000000</TruncationSize>
     <AllOrNone>1</AllOrNone>
    </BodyPreference>
    <Conflict>0</Conflict>
    <FilterType>0</FilterType>
   </Options>
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:06:59 sogod [6051]: <0x0x55cd9ce95560[SOGoActiveSyncDispatcher]> EAS - Use original serverId: T17565380.1728231706.0 (null)
Jan 21 15:06:59 sogod [6051]: <0x0x55cd9ce95560[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
Jan 21 15:06:59 sogod [6051]: <0x0x55cd9ce95560[SOGoActiveSyncDispatcher]> EAS - response for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <Class>Calendar</Class>
   <SyncKey>1579615586</SyncKey>
   <CollectionId>vevent%2Fpersonal</CollectionId>
   <Status>1</Status>
   <Commands>
    <Add>
     <ServerId>T17565380.1728231706.0</ServerId>
     <ApplicationData>
      <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
      <StartTime xmlns="Calendar:">20200219T043500Z</StartTime>
      <EndTime xmlns="Calendar:">20200219T055000Z</EndTime>
      <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
      <BusyStatus xmlns="Calendar:">0</BusyStatus>
      <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
      <Subject xmlns="Calendar:">Düsseldorf (DUS) -&gt; Berlin (TXL) Mi, 19.02.2020 06:35 - Mi, 19.02.2020 07:50</Subject>
      <UID xmlns="Calendar:">T17565380.1728231706.0</UID>
      <Body xmlns="AirSyncBase:">
       <Type>1</Type>
       <EstimatedDataSize>473</EstimatedDataSize>
       <Data>Mi, 19.02.2020 DUS - TXL  06:35 - 07:50 Klasse E EW9048
Tarif: umbuchbar (ggf. Aufpreis zur nächst höheren Buchungsklasse) für 70,00 € pro Strecke und nicht stornierbar
Tickettyp	Ihr Ticket ist ein elektronisches Ticket. Sie erhalten Ihre Bordkarte am Check-IN Automat oder unter Vorlage Ihres Lichtbildausweises am Schalter der Germanwings.
Identifikation mit	Personalausweis
Buchungsnr.	J8SBJI
Preise	29,99 EUR

myTO Vorgangsnummer: &lt;T17565380&gt;</Data>
      </Body>
      <Sensitivity xmlns="Calendar:">0</Sensitivity>
      <Categories xmlns="Calendar:">
       <Category>Flight booking</Category>
      </Categories>
      <Reminder xmlns="Calendar:">1080</Reminder>
      <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
     </ApplicationData>
    </Add>
   </Commands>
  </Collection>
 </Collections>
</Sync>

Jan 21 15:06:59 sogod [6051]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 1007/104 0.187 - - 0
Jan 21 15:06:59 sogod [6051]: <0x0x55cda0043af0[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>19-45</SyncKey>
   <CollectionId>mail%2F261df210e23cf95abf47000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>100</WindowSize>
   <Options>
    <Conflict>0</Conflict>
    <FilterType>5</FilterType>
   </Options>
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:06:59 sogod [6051]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 0/93 0.290 - - 0
Jan 21 15:06:59 sogod [6051]: <0x0x55cd9cc59b80[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <SyncKey>4201-6232</SyncKey>
   <CollectionId>mail%2F4e0d8d3ae4efe15a442d000048ac2651</CollectionId>
   <DeletesAsMoves>0</DeletesAsMoves>
   <WindowSize>100</WindowSize>
   <Options>
    <BodyPreference xmlns="AirSyncBase:">
     <Type>4</Type>
     <TruncationSize>10000</TruncationSize>
    </BodyPreference>
    <Conflict>0</Conflict>
    <FilterType>5</FilterType>
    <MIMESupport>2</MIMESupport>
   </Options>
  </Collection>
 </Collections>
 <WindowSize>100</WindowSize>
</Sync>

Jan 21 15:07:00 sogod [6051]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 0/122 0.291 - - 0
Jan 21 15:07:00 sogod [6051]: <0x0x55cd9ea52fd0[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Ping xmlns="Ping:">
 <HeartbeatInterval>180</HeartbeatInterval>
 <Folders>
  <Folder>
   <Id>mail%2F5d978f1f8028e05aa042000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4e0d8d3ae4efe15a442d000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2Fd65107233df9f95d114b000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>vevent%2Fpersonal</Id>
   <Class>Calendar</Class>
  </Folder>
 </Folders>
</Ping>

Jan 21 15:07:00 sogod [6051]: <0x0x55cd9ea52fd0[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user user in Ping...
Jan 21 15:07:09 sogod [6059]: <0x0x55cd9edd4ab0[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user okolin in Ping...
Jan 21 15:07:11 sogod [6060]: <0x0x55cda165de30[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user user in Ping...
Jan 21 15:07:28 sogod [6056]: <0x0x55cd9e437e30[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user user in Ping...
Jan 21 15:07:30 sogod [6058]: 52.97.154.5, 172.16.0.210 "OPTIONS /SOGo/Microsoft-Server-ActiveSync?Cmd=Options&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 0/0 0.023 - - 0
Jan 21 15:07:30 sogod [6058]: <0x0x55cd9ff8f9e0[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<FolderSync xmlns="FolderHierarchy:">
 <SyncKey>activesync_benocs_com_7f03_23acc041_2</SyncKey>
</FolderSync>

Jan 21 15:07:31 sogod [6051]: <0x0x55cd9ea52fd0[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user user in Ping...
Jan 21 15:07:31 sogod [6058]: <0x0x55cd9ff8f9e0[SOGoActiveSyncDispatcher]> EAS - response for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<FolderSync xmlns="FolderHierarchy:">
 <Status>1</Status>
 <SyncKey>activesync_benocs_com_7f03_23acc041_2</SyncKey>
 <Changes>
  <Count>0</Count>
 </Changes>
</FolderSync>

Jan 21 15:07:31 sogod [6058]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=FolderSync&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 61/49 0.907 - - 0
Jan 21 15:07:31 sogod [6058]: <0x0x55cd9ff7b220[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Settings xmlns="Settings:">
 <Oof>
  <Get>
   <BodyType>HTML</BodyType>
  </Get>
 </Oof>
</Settings>

Jan 21 15:07:31 sogod [6058]: <0x0x55cd9ff7b220[SOGoActiveSyncDispatcher]> EAS - response for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Settings xmlns="Settings:">
 <Status>1</Status>
 <Oof>
  <Status>1</Status>
  <Get>
   <OofState>0</OofState>
   <StartTime>1970-01-01T00:00:00.000Z</StartTime>
   <EndTime>2019-07-27T22:00:00.000Z</EndTime>
   <OofMessage>
    <AppliesToInternal/>
    <Enabled>0</Enabled>
    <ReplyMessage>I am on leave, returning July 29. In urgent cases please text me on +4916090605116

Thanks</ReplyMessage>
    <BodyType>TEXT</BodyType>
   </OofMessage>
   <OofMessage>
    <AppliesToExternalKnown/>
    <Enabled>0</Enabled>
    <ReplyMessage/>
   </OofMessage>
   <OofMessage>
    <AppliesToExternalUnknown/>
    <Enabled>0</Enabled>
    <ReplyMessage/>
   </OofMessage>
  </Get>
 </Oof>
</Settings>

Jan 21 15:07:31 sogod [6058]: 52.97.154.5, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Settings&User=user&DeviceId=06e99d225d284dd19bd2bebd2268f5a4&DeviceType=Outlook HTTP/1.1" 200 211/20 0.014 - - 0
Jan 21 15:07:31 sogod [6058]: <0x0x55cda0c483d0[SOGoActiveSyncDispatcher]> EAS - request for device 06e99d225d284dd19bd2bebd2268f5a4: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Ping xmlns="Ping:">
 <HeartbeatInterval>180</HeartbeatInterval>
 <Folders>
  <Folder>
   <Id>mail%2F5d978f1f8028e05aa042000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4e0d8d3ae4efe15a442d000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2Fd65107233df9f95d114b000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>vevent%2Fpersonal</Id>
   <Class>Calendar</Class>
  </Folder>
 </Folders>
</Ping>

Jan 21 15:07:32 sogod [6058]: <0x0x55cda0c483d0[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user user in Ping...
Jan 21 15:07:36 sogod [6061]: 40.101.90.77, 172.16.0.210 "OPTIONS /SOGo/Microsoft-Server-ActiveSync?Cmd=Options&User=okolin&DeviceId=ce6943af1c80475c969c82da57483ee2&DeviceType=Outlook HTTP/1.1" 200 0/0 0.110 - - 0
Jan 21 15:07:36 sogod [6061]: <0x0x55cd9e281340[SOGoActiveSyncDispatcher]> EAS - request for device ce6943af1c80475c969c82da57483ee2: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<FolderSync xmlns="FolderHierarchy:">
 <SyncKey>activesync_benocs_com_17a9_23d5ab6a_0</SyncKey>
</FolderSync>

Jan 21 15:07:36 sogod [6061]: <0x0x55cd9df9b3f0[NGImap4Client]> TLS started successfully.
Jan 21 15:07:36 sogod [6061]: <0x0x55cd9e281340[SOGoActiveSyncDispatcher]> EAS - response for device ce6943af1c80475c969c82da57483ee2: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<FolderSync xmlns="FolderHierarchy:">
 <Status>1</Status>
 <SyncKey>activesync_benocs_com_17a9_23d5ab6a_0</SyncKey>
 <Changes>
  <Count>0</Count>
 </Changes>
</FolderSync>

Jan 21 15:07:36 sogod [6061]: 40.101.90.77, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=FolderSync&User=okolin&DeviceId=ce6943af1c80475c969c82da57483ee2&DeviceType=Outlook HTTP/1.1" 200 61/49 0.671 - - 0
Jan 21 15:07:36 sogod [6061]: <0x0x55cda6194af0[SOGoActiveSyncDispatcher]> EAS - request for device ce6943af1c80475c969c82da57483ee2: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Settings xmlns="Settings:">
 <Oof>
  <Get>
   <BodyType>HTML</BodyType>
  </Get>
 </Oof>
</Settings>

Jan 21 15:07:36 sogod [6061]: <0x0x55cda6194af0[SOGoActiveSyncDispatcher]> EAS - response for device ce6943af1c80475c969c82da57483ee2: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Settings xmlns="Settings:">
 <Status>1</Status>
 <Oof>
  <Status>1</Status>
  <Get>
   <OofState>0</OofState>
   <StartTime>1970-01-01T00:00:00.000Z</StartTime>
   <EndTime>1970-01-01T00:00:00.000Z</EndTime>
   <OofMessage>
    <AppliesToInternal/>
    <Enabled>0</Enabled>
    <ReplyMessage/>
    <BodyType>TEXT</BodyType>
   </OofMessage>
   <OofMessage>
    <AppliesToExternalKnown/>
    <Enabled>0</Enabled>
    <ReplyMessage/>
   </OofMessage>
   <OofMessage>
    <AppliesToExternalUnknown/>
    <Enabled>0</Enabled>
    <ReplyMessage/>
   </OofMessage>
  </Get>
 </Oof>
</Settings>

Jan 21 15:07:36 sogod [6061]: 40.101.90.77, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Settings&User=okolin&DeviceId=ce6943af1c80475c969c82da57483ee2&DeviceType=Outlook HTTP/1.1" 200 118/20 0.011 - - 0
Jan 21 15:07:36 sogod [6061]: <0x0x55cda423cd10[SOGoActiveSyncDispatcher]> EAS - request for device ce6943af1c80475c969c82da57483ee2: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Ping xmlns="Ping:">
 <HeartbeatInterval>180</HeartbeatInterval>
 <Folders>
  <Folder>
   <Id>mail%2Fee293c324575615baa51000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F71b26138cfad625bd975000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4049e917b272255eab73000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>vevent%2Fpersonal</Id>
   <Class>Calendar</Class>
  </Folder>
 </Folders>
</Ping>

Jan 21 15:07:37 sogod [6061]: <0x0x55cda423cd10[SOGoActiveSyncDispatcher]> Sleeping 30 seconds while detecting changes for user okolin in Ping...
Jan 21 15:07:38 sogod [5955]: [WARN] <0x0x55cd9b934c30[WOWatchDogChild]> pid 6059 has been hanging in the same request for 1 minutes
Jan 21 15:07:40 sogod [6059]: <0x0x55cd9edd4ab0[SOGoActiveSyncDispatcher]> EAS - Ping request canceled (6061)
Jan 21 15:07:40 sogod [6059]: <0x0x55cd9edd4ab0[SOGoActiveSyncDispatcher]> EAS - response for device ce6943af1c80475c969c82da57483ee2: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Ping xmlns="Ping:">
 <Status>1</Status>
</Ping>

Jan 21 15:07:40 sogod [6059]: 40.101.90.77, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=okolin&DeviceId=ce6943af1c80475c969c82da57483ee2&DeviceType=Outlook HTTP/1.1" 200 13/214 61.499 - - 0
Jan 21 15:07:51 sogod [6059]: <0x0x55cda26eb820[SOGoActiveSyncDispatcher]> EAS - request for device 4E696E65343036434243433635444345: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Ping xmlns="Ping:">
 <HeartbeatInterval>240</HeartbeatInterval>
 <Folders>
  <Folder>
   <Id>mail%2F5d978f1f8028e05aa042000048ac2651</Id>
--
Jan 21 15:07:54 sogod [6059]: <0x0x55cda0a17ff0[SOGoActiveSyncDispatcher]> EAS - response for device 4E696E65343036434243433635444345: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <Class>Calendar</Class>
   <SyncKey>1579615586</SyncKey>
   <CollectionId>vevent%2Fpersonal</CollectionId>
   <Status>1</Status>
   <Commands>
    <Add>
     <ServerId>T17565380.1728231711.0</ServerId>
     <ApplicationData>
      <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
      <StartTime xmlns="Calendar:">20200221T153000Z</StartTime>
      <EndTime xmlns="Calendar:">20200221T164500Z</EndTime>
      <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
      <BusyStatus xmlns="Calendar:">0</BusyStatus>
      <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
      <Subject xmlns="Calendar:">Berlin (TXL) -&gt; Düsseldorf (DUS) Fr, 21.02.2020 17:30 - Fr, 21.02.2020 18:45</Subject>
      <UID xmlns="Calendar:">T17565380.1728231711.0</UID>
      <Body xmlns="AirSyncBase:">
       <Type>1</Type>
       <EstimatedDataSize>389</EstimatedDataSize>
       <Data>Fr, 21.02.2020 TXL - DUS  17:30 - 18:45 Klasse Y U25511
Tarif: gegen Gebühr umbuchbar
Tickettyp	Ihr Ticket ist ein elektronisches Ticket. Bitte checken Sie ab 30 Tage bis 2 Stunden vor Abflug online auf www.easyjet.com ein, um Verzögerungen am Flughafen zu vermeiden.
Identifikation mit	Personalausweis
Buchungsnr.	K1B71ZV
Preise	85,11 EUR

myTO Vorgangsnummer: &lt;T17565380&gt;</Data>
      </Body>
      <Sensitivity xmlns="Calendar:">0</Sensitivity>
      <Categories xmlns="Calendar:">
       <Category>Flight booking</Category>
      </Categories>
      <Reminder xmlns="Calendar:">1080</Reminder>
      <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
     </ApplicationData>
    </Add>
    <Add>
     <ServerId>T17565380.1728231706.0</ServerId>
     <ApplicationData>
      <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
      <StartTime xmlns="Calendar:">20200219T043500Z</StartTime>
      <EndTime xmlns="Calendar:">20200219T055000Z</EndTime>
      <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
      <BusyStatus xmlns="Calendar:">0</BusyStatus>
      <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
      <Subject xmlns="Calendar:">Düsseldorf (DUS) -&gt; Berlin (TXL) Mi, 19.02.2020 06:35 - Mi, 19.02.2020 07:50</Subject>
      <UID xmlns="Calendar:">T17565380.1728231706.0</UID>
      <Body xmlns="AirSyncBase:">
       <Type>1</Type>
       <EstimatedDataSize>473</EstimatedDataSize>
       <Data>Mi, 19.02.2020 DUS - TXL  06:35 - 07:50 Klasse E EW9048
Tarif: umbuchbar (ggf. Aufpreis zur nächst höheren Buchungsklasse) für 70,00 € pro Strecke und nicht stornierbar
Tickettyp	Ihr Ticket ist ein elektronisches Ticket. Sie erhalten Ihre Bordkarte am Check-IN Automat oder unter Vorlage Ihres Lichtbildausweises am Schalter der Germanwings.
Identifikation mit	Personalausweis
Buchungsnr.	J8SBJI
Preise	29,99 EUR

myTO Vorgangsnummer: &lt;T17565380&gt;</Data>
      </Body>
      <Sensitivity xmlns="Calendar:">0</Sensitivity>
      <Categories xmlns="Calendar:">
       <Category>Flight booking</Category>
      </Categories>
      <Reminder xmlns="Calendar:">1080</Reminder>
      <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
     </ApplicationData>
    </Add>
   </Commands>
  </Collection>
 </Collections>
</Sync>

Jan 21 15:07:54 sogod [6059]: 93.233.47.202, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?jQAJBBBOaW5lNDA2Q0JDQzY1RENFBAAAAAAHQW5kcm9pZAcBAA== HTTP/1.1" 200 1876/95 0.141 - - 0
Jan 21 15:07:54 sogod [5955]: [WARN] <0x0x55cd9b94cec0[WOWatchDogChild]> pid 6060 has been hanging in the same request for 5 minutes
Jan 21 15:07:54 sogod [6059]: <0x0x55cd9c2c8ab0[SOGoActiveSyncDispatcher]> EAS - request for device 0BE9FEC2F3224CDA9062A8DB3E36DDFC: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Ping xmlns="Ping:">
 <HeartbeatInterval>3540</HeartbeatInterval>
 <Folders>
  <Folder>
   <Id>mail%2F5d978f1f8028e05aa042000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>vevent%2Fpersonal</Id>
   <Class>Calendar</Class>
  </Folder>
  <Folder>
   <Id>vcard%2Fpersonal</Id>
   <Class>Contacts</Class>
  </Folder>
  <Folder>
   <Id>mail%2F3ea54e160c8fe15a3165000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4e0d8d3ae4efe15a442d000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>vtodo%2Fpersonal</Id>
   <Class>Tasks</Class>
  </Folder>
  <Folder>
   <Id>mail%2F0d9b8301a47dc95d350e000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F1523961adc17dd5d587e000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F1e54f909ca00015c0626000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F1f54f909ca00015c0626000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F24ca081e9c4cf75dd826000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F2cea5f0b937ee65c6920000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F2dbbce195a1a255ca634000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F3294190ff701015cf126000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F3394190ff701015cf126000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F3494190ff701015cf126000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F3583f5122303015c1528000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F3594190ff701015cf126000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F3683f5122303015c1528000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F3838d6083eb4845d4231000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F40c8323001ac495cda4b000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F43b45627a7362c5d0d2c000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F46ce812e278ef75daa7b000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4923fd07ae2ba85d7c41000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4b6f3c288e860f5ccf77000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4c6421183554e45ab050000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F4eb15b0d2c7cc95de479000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F544e442f0c07cb5cef49000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F58da5c09cc098b5d5025000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F5dfc4c203f54405d0b6f000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F5efc4c203f54405d0b6f000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F5ffc4c203f54405d0b6f000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F64948e0bde8a8b5d6d62000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F65948e0bde8a8b5d6d62000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F69846836a570f25dfc11000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F6cd941374fc7255d5c2b000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F6fd58b142aa1255dc87b000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F72d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F72d9873aa66df25d8e0d000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F73d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F747efa21c3b3845dad0a000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F74d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F75d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F76d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F77d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F77e8f0107c5a505c954c000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F78d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F79d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F7ad75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F7bd75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F7cd75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F7dd75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F7ed75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F7fd75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F800f0f0791f9f0516a40000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F80d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F81d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F82d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F83d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F8438101c6a204f5cf302000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F84d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F85d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
   <Id>mail%2F86d75a2d3c00015c1024000048ac2651</Id>
   <Class>Email</Class>
  </Folder>
  <Folder>
--
Jan 21 15:42:02 sogod [6058]: <0x0x55cda008f4f0[SOGoActiveSyncDispatcher]> EAS - response for device AC66B5C35ADB14F7E24F60BB610F07F5: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
<Sync xmlns="AirSync:">
 <Collections>
  <Collection>
   <Class>Calendar</Class>
   <SyncKey>1579615586</SyncKey>
   <CollectionId>vevent%2Fpersonal</CollectionId>
   <Status>1</Status>
   <Commands>
    <Add>
     <ServerId>T17565380.1728231711.0</ServerId>
     <ApplicationData>
      <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
      <StartTime xmlns="Calendar:">20200221T153000Z</StartTime>
      <EndTime xmlns="Calendar:">20200221T164500Z</EndTime>
      <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
      <BusyStatus xmlns="Calendar:">0</BusyStatus>
      <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
      <Subject xmlns="Calendar:">Berlin (TXL) -&gt; Düsseldorf (DUS) Fr, 21.02.2020 17:30 - Fr, 21.02.2020 18:45</Subject>
      <UID xmlns="Calendar:">T17565380.1728231711.0</UID>
      <Body xmlns="AirSyncBase:">
       <Type>1</Type>
       <EstimatedDataSize>389</EstimatedDataSize>
       <Data>Fr, 21.02.2020 TXL - DUS  17:30 - 18:45 Klasse Y U25511
Tarif: gegen Gebühr umbuchbar
Tickettyp	Ihr Ticket ist ein elektronisches Ticket. Bitte checken Sie ab 30 Tage bis 2 Stunden vor Abflug online auf www.easyjet.com ein, um Verzögerungen am Flughafen zu vermeiden.
Identifikation mit	Personalausweis
Buchungsnr.	K1B71ZV
Preise	85,11 EUR

myTO Vorgangsnummer: &lt;T17565380&gt;</Data>
      </Body>
      <Sensitivity xmlns="Calendar:">0</Sensitivity>
      <Categories xmlns="Calendar:">
       <Category>Flight booking</Category>
      </Categories>
      <Reminder xmlns="Calendar:">1080</Reminder>
      <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
     </ApplicationData>
    </Add>
    <Add>
     <ServerId>T17565380.1728231706.0</ServerId>
     <ApplicationData>
      <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
      <StartTime xmlns="Calendar:">20200219T043500Z</StartTime>
      <EndTime xmlns="Calendar:">20200219T055000Z</EndTime>
      <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
      <BusyStatus xmlns="Calendar:">0</BusyStatus>
      <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
      <Subject xmlns="Calendar:">Düsseldorf (DUS) -&gt; Berlin (TXL) Mi, 19.02.2020 06:35 - Mi, 19.02.2020 07:50</Subject>
      <UID xmlns="Calendar:">T17565380.1728231706.0</UID>
      <Body xmlns="AirSyncBase:">
       <Type>1</Type>
       <EstimatedDataSize>473</EstimatedDataSize>
       <Data>Mi, 19.02.2020 DUS - TXL  06:35 - 07:50 Klasse E EW9048
Tarif: umbuchbar (ggf. Aufpreis zur nächst höheren Buchungsklasse) für 70,00 € pro Strecke und nicht stornierbar
Tickettyp	Ihr Ticket ist ein elektronisches Ticket. Sie erhalten Ihre Bordkarte am Check-IN Automat oder unter Vorlage Ihres Lichtbildausweises am Schalter der Germanwings.
Identifikation mit	Personalausweis
Buchungsnr.	J8SBJI
Preise	29,99 EUR

myTO Vorgangsnummer: &lt;T17565380&gt;</Data>
      </Body>
      <Sensitivity xmlns="Calendar:">0</Sensitivity>
      <Categories xmlns="Calendar:">
       <Category>Flight booking</Category>
      </Categories>
      <Reminder xmlns="Calendar:">1080</Reminder>
      <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
     </ApplicationData>
    </Add>
   </Commands>
  </Collection>
  <Collection>
   <Class>Tasks</Class>
   <SyncKey>1579615586</SyncKey>
   <CollectionId>vtodo%2Fpersonal</CollectionId>
   <Status>1</Status>
  </Collection>
  <Collection>
   <Class>Calendar</Class>
   <SyncKey>1579595473</SyncKey>
   <CollectionId>vevent%2Fstaff-calendar_personal</CollectionId>
   <Status>1</Status>
  </Collection>
  <Collection>
   <Class>Calendar</Class>
   <SyncKey>1579266220</SyncKey>
   <CollectionId>vevent%2Fouser_personal</CollectionId>
   <Status>1</Status>
  </Collection>
  <Collection>
   <Class>Calendar</Class>
   <SyncKey>1579616495</SyncKey>
   <CollectionId>vevent%2Fsouser_personal</CollectionId>
   <Status>1</Status>
   <Commands>
    <Change>
     <ServerId>0b250ddb-758f-483a-b2d2-9bdff8071752</ServerId>
     <ApplicationData>
      <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
      <DTStamp xmlns="Calendar:">20200121T142133Z</DTStamp>
      <StartTime xmlns="Calendar:">20191203T140000Z</StartTime>
      <EndTime xmlns="Calendar:">20191203T150000Z</EndTime>
      <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
      <Organizer_Email xmlns="Calendar:">user@benocs.com</Organizer_Email>
      <Organizer_Name xmlns="Calendar:">User Lastname</Organizer_Name>
      <Attendees xmlns="Calendar:">
	<!-- REMOVED SOME ATTENDEES -->
      </Attendees>
      <BusyStatus xmlns="Calendar:">2</BusyStatus>
      <MeetingStatus xmlns="Calendar:">1</MeetingStatus>
      <Subject xmlns="Calendar:">Benocs Mgmt Call</Subject>
      <Location xmlns="Calendar:">https://zoom.us/j/273487439</Location>
      <UID xmlns="Calendar:">0b250ddb-758f-483a-b2d2-9bdff8071752</UID>
      <Recurrence xmlns="Calendar:">
       <Recurrence_DayOfWeek>4</Recurrence_DayOfWeek>
       <Recurrence_Interval>1</Recurrence_Interval>
       <Recurrence_Type>1</Recurrence_Type>
       <Recurrence_Occurrences>55</Recurrence_Occurrences>
      </Recurrence>
      <Body xmlns="AirSyncBase:">
       <Type>1</Type>
       <EstimatedDataSize>1040</EstimatedDataSize>
       <Data>&lt;http://zoom.us/&gt; 

Hi there, 

Benocs is inviting you to a scheduled Zoom meeting. 

Join Zoom Meeting &lt;https://zoom.us/j/273487439&gt;  

Phone one-tap: 

Germany: +493056795800,,273487439# &lt;tel:+493056795800,,273487439&gt;  or +496971049922,,273487439# &lt;tel:+496971049922,,273487439&gt;  

Meeting URL: 

https://zoom.us/j/273487439 &lt;https://zoom.us/j/273487439&gt;  

Meeting ID: 

273 487 439 

Join by Telephone 

For higher quality, dial a number based on your current location. 

Dial: 


Germany: +49 30 5679 5800 or +49 69 7104 9922 or +49 30 3080 6188 
US: +1 646 876 9923 or +1 669 900 6833 or +1 408 638 0968 
Hungary: +36 1 701 0488 or +36 1 408 8456 
France: +33 1 7037 9729 or +33 7 5678 4048 or +33 1 7037 2246 
Netherlands: +31 20 794 0854 or +31 20 241 0288 
United Kingdom: +44 203 051 2874 or +44 203 481 5237 or +44 203 966 3809 or +44 131 460 1196 
Turkey: +90 216 900 2606 or +90 216 900 1866 

Meeting ID: 

273 487 439 

International numbers &lt;https://zoom.us/u/abPqtE4LQ4&gt;</Data>
      </Body>
      <Sensitivity xmlns="Calendar:">0</Sensitivity>
      <Exceptions xmlns="Calendar:">
       <Exception>
        <Exception_StartTime>20191210T140000Z</Exception_StartTime>
        <AllDayEvent>0</AllDayEvent>
        <DTStamp>20191210T134517Z</DTStamp>
        <StartTime>20191210T140000Z</StartTime>
        <EndTime>20191210T150000Z</EndTime>
        <Attendees>
         <Attendee>
		<! -- REMOVED ATTENDES -->
         </Attendee>
        </Attendees>
        <BusyStatus>2</BusyStatus>
        <MeetingStatus>1</MeetingStatus>
        <Subject>Benocs Mgmt Call</Subject>
        <Location>https://zoom.us/j/273487439</Location>
        <Body xmlns="AirSyncBase:">
         <Type>1</Type>
         <EstimatedDataSize>1023</EstimatedDataSize>
         <Data>&lt;http://zoom.us/&gt; 

Hi there, 

Benocs is inviting you to a scheduled Zoom meeting. 

Join Zoom Meeting &lt;https://zoom.us/j/273487439&gt;  

Phone one-tap: 

Germany: +493056795800,,273487439# &lt;tel:+493056795800,,273487439&gt;  or +496971049922,,273487439# &lt;tel:+496971049922,,273487439&gt;  

Meeting URL: 

https://zoom.us/j/273487439 &lt;https://zoom.us/j/273487439&gt;  

Meeting ID: 

273 487 439 

Join by Telephone 

For higher quality, dial a number based on your current location. 

Dial: 


Germany: +49 30 5679 5800 or +49 69 7104 9922 or +49 30 3080 6188 
US: +1 646 876 9923 or +1 669 900 6833 or +1 408 638 0968 
Hungary: +36 1 701 0488 or +36 1 408 8456 
France: +33 1 7037 9729 or +33 7 5678 4048 or +33 1 7037 2246 
Netherlands: +31 20 794 0854 or +31 20 241 0288 
United Kingdom: +44 203 051 2874 or +44 203 481 5237 or +44 203 966 3809 or +44 131 460 1196 
Turkey: +90 216 900 2606 or +90 216 900 1866 

Meeting ID: 

273 487 439 

International numbers &lt;https://zoom.us/u/abPqtE4LQ4&gt;</Data>
        </Body>
        <Sensitivity>0</Sensitivity>
       </Exception>
       <Exception>
        <Exception_StartTime>20191217T140000Z</Exception_StartTime>
        <AllDayEvent>0</AllDayEvent>
        <DTStamp>20191210T134517Z</DTStamp>
        <StartTime>20191217T120000Z</StartTime>
        <EndTime>20191217T130000Z</EndTime>
        <Attendees>
         <Attendee>
          <Attendee_Email>souser@benocs.com</Attendee_Email>
          <Attendee_Name>Someother User</Attendee_Name>
          <Attendee_Status>5</Attendee_Status>
          <Attendee_Type>2</Attendee_Type>
         </Attendee>
         <Attendee>
          <Attendee_Email>ouser@benocs.com</Attendee_Email>
          <Attendee_Name>Other User</Attendee_Name>
          <Attendee_Status>5</Attendee_Status>
          <Attendee_Type>2</Attendee_Type>
         </Attendee>
        </Attendees>
        <BusyStatus>2</BusyStatus>
        <MeetingStatus>1</MeetingStatus>
        <Subject>Benocs Mgmt Call</Subject>
        <Location>https://zoom.us/j/273487439</Location>
        <Body xmlns="AirSyncBase:">
         <Type>1</Type>
         <EstimatedDataSize>1023</EstimatedDataSize>
         <Data>&lt;http://zoom.us/&gt; 

Hi there, 

Benocs is inviting you to a scheduled Zoom meeting. 

Join Zoom Meeting &lt;https://zoom.us/j/273487439&gt;  

Phone one-tap: 

Germany: +493056795800,,273487439# &lt;tel:+493056795800,,273487439&gt;  or +496971049922,,273487439# &lt;tel:+496971049922,,273487439&gt;  

Meeting URL: 

https://zoom.us/j/273487439 &lt;https://zoom.us/j/273487439&gt;  

Meeting ID: 

273 487 439 

Join by Telephone 

For higher quality, dial a number based on your current location. 

Dial: 


Germany: +49 30 5679 5800 or +49 69 7104 9922 or +49 30 3080 6188 
US: +1 646 876 9923 or +1 669 900 6833 or +1 408 638 0968 
Hungary: +36 1 701 0488 or +36 1 408 8456 
France: +33 1 7037 9729 or +33 7 5678 4048 or +33 1 7037 2246 
Netherlands: +31 20 794 0854 or +31 20 241 0288 
United Kingdom: +44 203 051 2874 or +44 203 481 5237 or +44 203 966 3809 or +44 131 460 1196 
Turkey: +90 216 900 2606 or +90 216 900 1866 

Meeting ID: 

273 487 439 

International numbers &lt;https://zoom.us/u/abPqtE4LQ4&gt;</Data>
        </Body>
        <Sensitivity>0</Sensitivity>
       </Exception>
       <Exception>
        <Exception_Deleted>1</Exception_Deleted>
        <Exception_StartTime>20191224T140000Z</Exception_StartTime>
       </Exception>
       <Exception>
        <Exception_Deleted>1</Exception_Deleted>
        <Exception_StartTime>20191231T140000Z</Exception_StartTime>
       </Exception>
      </Exceptions>
      <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
     </ApplicationData>
    </Change>
   </Commands>
  </Collection>
 </Collections>
</Sync>

Jan 21 15:42:02 sogod [6058]: 93.233.47.202, 172.16.0.210 "POST /SOGo/Microsoft-Server-ActiveSync?jQAHBBCsZrXDWtsU9+JPYLthDwf1BAAAAAALV2luZG93c01haWw= HTTP/1.1" 200 6376/230 0.387 - - 0
trunc.log (58,101 bytes)   
Flug-T17565355_1.ics (1,943 bytes)   
BEGIN:VCALENDAR
X-LOTUS-CHARSET:UTF-8
PRODID:-//i:Benocs GmbH//NONSGML onesto//EN
VERSION:2.0
METHOD:PUBLISH
CALSCALE:GREGORIAN
BEGIN:VEVENT
SEQUENCE:0
UID:T17565355.1722439178.0
CATEGORIES:Flight booking
CLASS:PUBLIC
SUMMARY:Düsseldorf (DUS) -> Berlin (TXL) Mi, 29.01.2020 06:35 - Mi, 29.01.2020 07:50
DESCRIPTION:Mi, 29.01.2020 DUS - TXL  06:35 - 07:50 Klasse E EW9048\nTarif: umbuchbar (ggf. Aufpreis zur nächst höheren Buchungsklasse) für 70,00 € pro Strecke und nicht stornierbar\nTickettyp	Ihr Ticket ist ein elektronisches Ticket. Sie erhalten Ihre Bordkarte am Check-IN Automat oder unter Vorlage Ihres Lichtbildausweises am Schalter der Germanwings.\nIdentifikation mit	Personalausweis\nBuchungsnr.	N9PLQV\nPreise	29,99 EUR\n\nmyTO Vorgangsnummer: <T17565355>
LOCATION:
PRIORITY:0
STATUS:CONFIRMED
DTSTART;VALUE=DATE-TIME;TZID=W. Europe Standard Time:20200129T063500
DTEND;VALUE=DATE-TIME;TZID=W. Europe Standard Time:20200129T075000
TRANSP:TRANSPARENT
CREATED:20200107T191111
DTSTAMP;VALUE=DATE-TIME:20200107T191111
END:VEVENT
BEGIN:VTIMEZONE
TZID:W. Europe Standard Time
BEGIN:DAYLIGHT
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19971026T010000
RRULE:FREQ=YEARLY;BYMONTHDAY=25,26,27,28,29,30,31;BYMONTH=10;BYDAY=SU;BYHOUR=1;BYMINUTE=0
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19970330T010000
RRULE:FREQ=YEARLY;BYMONTHDAY=25,26,27,28,29,30,31;BYMONTH=3;BYDAY=SU;BYHOUR=1;BYMINUTE=0
END:STANDARD
END:VTIMEZONE

BEGIN:VTIMEZONE
TZID:W. Europe Standard Time
BEGIN:DAYLIGHT
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19971026T010000
RRULE:FREQ=YEARLY;BYMONTHDAY=25,26,27,28,29,30,31;BYMONTH=10;BYDAY=SU;BYHOUR=1;BYMINUTE=0
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19970330T010000
RRULE:FREQ=YEARLY;BYMONTHDAY=25,26,27,28,29,30,31;BYMONTH=3;BYDAY=SU;BYHOUR=1;BYMINUTE=0
END:STANDARD
END:VTIMEZONE

END:VCALENDAR

Flug-T17565355_1.ics (1,943 bytes)   
Flug-T17565355_2.ics (1,867 bytes)   
BEGIN:VCALENDAR
X-LOTUS-CHARSET:UTF-8
PRODID:-//i:Benocs GmbH//NONSGML onesto//EN
VERSION:2.0
METHOD:PUBLISH
CALSCALE:GREGORIAN
BEGIN:VEVENT
SEQUENCE:0
UID:T17565355.1722439183.0
CATEGORIES:Flight booking
CLASS:PUBLIC
SUMMARY:Berlin (TXL) -> Düsseldorf (DUS) Fr, 31.01.2020 17:30 - Fr, 31.01.2020 18:45
DESCRIPTION:Fr, 31.01.2020 TXL - DUS  17:30 - 18:45 Klasse Y U25511\nTarif: gegen Gebühr umbuchbar\nTickettyp	Ihr Ticket ist ein elektronisches Ticket. Bitte checken Sie ab 30 Tage bis 2 Stunden vor Abflug online auf www.easyjet.com ein, um Verzögerungen am Flughafen zu vermeiden.\nIdentifikation mit	Personalausweis\nBuchungsnr.	K17517M\nPreise	44,61 EUR\n\nmyTO Vorgangsnummer: <T17565355>
LOCATION:
PRIORITY:0
STATUS:CONFIRMED
DTSTART;VALUE=DATE-TIME;TZID=W. Europe Standard Time:20200131T173000
DTEND;VALUE=DATE-TIME;TZID=W. Europe Standard Time:20200131T184500
TRANSP:TRANSPARENT
CREATED:20200107T191111
DTSTAMP;VALUE=DATE-TIME:20200107T191111
END:VEVENT
BEGIN:VTIMEZONE
TZID:W. Europe Standard Time
BEGIN:DAYLIGHT
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19971026T010000
RRULE:FREQ=YEARLY;BYMONTHDAY=25,26,27,28,29,30,31;BYMONTH=10;BYDAY=SU;BYHOUR=1;BYMINUTE=0
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19970330T010000
RRULE:FREQ=YEARLY;BYMONTHDAY=25,26,27,28,29,30,31;BYMONTH=3;BYDAY=SU;BYHOUR=1;BYMINUTE=0
END:STANDARD
END:VTIMEZONE

BEGIN:VTIMEZONE
TZID:W. Europe Standard Time
BEGIN:DAYLIGHT
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19971026T010000
RRULE:FREQ=YEARLY;BYMONTHDAY=25,26,27,28,29,30,31;BYMONTH=10;BYDAY=SU;BYHOUR=1;BYMINUTE=0
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19970330T010000
RRULE:FREQ=YEARLY;BYMONTHDAY=25,26,27,28,29,30,31;BYMONTH=3;BYDAY=SU;BYHOUR=1;BYMINUTE=0
END:STANDARD
END:VTIMEZONE

END:VCALENDAR

Flug-T17565355_2.ics (1,867 bytes)   
Hotel-T17565355_1.ics (1,328 bytes)   
BEGIN:VCALENDAR
X-LOTUS-CHARSET:UTF-8
PRODID:-//i:Benocs GmbH//NONSGML onesto//EN
VERSION:2.0
METHOD:PUBLISH
CALSCALE:GREGORIAN
BEGIN:VEVENT
SEQUENCE:0
UID:T17565355.1713620617
CATEGORIES:Hotel Booking
CLASS:PUBLIC
SUMMARY:Ameron Abion Spreebogen, 10559 Berlin, Deutschland
DESCRIPTION:Mi, 29.01.2020	Ameron Abion Spreebogen	Einzelzimmer	Kategorie 4\nFr, 31.01.2020	Berlin Deutschland\nAnschrift\n	Ameron Abion Spreebogen\n	Alt-Moabit 99\n	10559 Berlin Deutschland           \nTelefonnummer	49 30399200\nFaxnummer	49 3039920777\nEmail	info@abion-hotel.de\nFrühstück	Frühstück inkl.\nzusätzliche Angaben\n	Achtung wichtiger Hinweis: Die Stadt Berlin erhebt ab 01.01.2014 eine Übernachtungsteuer in Höhe von 5 % auf Nettologis. Die Steuer ist in allen HRS Preisen bereits inkludiert.\n	Im Bezahlverfahren enthalten sind, sofern in Anspruch genommen:\n	Anreise erfolgt vor 18 Uhr (Zimmer ist nur bis 18 Uhr garantier)\nBemerkung	Nichtraucher\nReservierungsnr.	136108097\nPreis	150,00 EUR *Gesamtpreis\nmyTO Vorgangsnummer: <T17565355>
LOCATION:Ameron Abion Spreebogen, Alt-Moabit 99, 10559 Berlin, Deutschland
PRIORITY:0
STATUS:CONFIRMED
DTSTART;VALUE=DATE:20200129
DTEND;VALUE=DATE:20200201
TRANSP:TRANSPARENT
CREATED:20200107T191111
DTSTAMP;VALUE=DATE-TIME:20200107T191111
END:VEVENT
END:VCALENDAR

Hotel-T17565355_1.ics (1,328 bytes)   
tfu

tfu

2020-01-22 11:01

reporter   ~0014085

Content of trunc.log seems to be from a different case.

tfu

tfu

2020-01-22 13:06

reporter   ~0014086

I think this is an Outlook bug. Looking into sogo.log you will find that Outlook sends a wrong start-/endtime
<StartTime xmlns="Calendar:">20200129T043500Z</StartTime>
<EndTime xmlns="Calendar:">20200129T055000Z</EndTime>

When I import the ics in Outlook without the VTIMEZONE sections the sogo shows correct dates.
You can add an event with the same dates in OL and compare the request in sogo.log (search for <ClientId>).

Another weird behaviour is that I'm not able to delete such event from Outlook. Although it disappears in OL accoding to sogo.log no '<Delete>'-request is sent to sogo.

ondrej.kolin

ondrej.kolin

2020-01-27 02:36

reporter   ~0014107

@tfu any experience reporting bugs to Outlook project? Because our sales are eager to get this repaired :-/

tfu

tfu

2020-01-28 01:13

reporter   ~0014110

What you can test is to export an event from Outlook and re-import it. If that is working you can compare the ics?

publo-aleksey@mail.ru

publo-aleksey@mail.ru

2020-01-29 17:40

reporter   ~0014119

Hallo! I have same problem - outlook clients write incorrect time into sogo after meeting acception. On test client i saw "Baghdad" +3, instead "Moscow" +3. There is no summer time in Baghdad, but meeting comes to outlook by ActiveSync with 1 hour early. In SOGO WUI it seens correct.

Christian Mack

Christian Mack

2020-01-30 03:09

developer   ~0014120

@publo-aleksey@mail.ru
Do you also have 2 timezone entries in your affected event?

publo-aleksey@mail.ru

publo-aleksey@mail.ru

2020-01-31 13:25

reporter   ~0014124

This is text from sogo and ics from outlook. It wil be 1 hour later, from 10 to 11. Invitation created in another outlook. All using outlook 365 with active sync, all computers, outlook and sogo users have same time zone - Moscow (+3). Default time zone in sogo.conf is Moscow too.

publo-aleksey@mail.ru

publo-aleksey@mail.ru

2020-01-31 13:26

reporter   ~0014125

files

meet.ics (1,510 bytes)   
BEGIN:VCALENDAR
PRODID:-//Microsoft Corporation//Outlook 16.0 MIMEDIR//EN
VERSION:2.0
METHOD:REQUEST
X-MS-OLK-FORCEINSPECTOROPEN:TRUE
BEGIN:VTIMEZONE
    :Arabic Standard Time
BEGIN:STANDARD
DTSTART:16010101T000000
TZOFFSETFROM:+0300
TZOFFSETTO:+0300
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
ATTENDEE;CN="Иванишен Владимир Ярославович";RSVP
	=TRUE:mailto:ivanishen@axioma-soft.ru
CLASS:PUBLIC
CREATED:20200131T130838Z
DESCRIPTION:  \n
DTEND;TZID="Arabic Standard Time":20200131T100000
DTSTAMP:20200128T071328Z
DTSTART;TZID="Arabic Standard Time":20200131T090000
LAST-MODIFIED:20200131T130838Z
LOCATION:Переговорка 303 
ORGANIZER;CN="Дьяченко Алена":mailto:dyachenko@axioma-soft.ru
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=ru:Skype собеседование 
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000F085208FC3D5D501000000000000000
	010000000C4CE1334360CE64998E2CD2865CAA196
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 16.0.12325.20288">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted
	 from text/plain format -->\n\n<P><FONT SIZE=2>&nbsp\; </FONT>\n</P>\n\n</
	BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-CDO-INTENDEDSTATUS:BUSY
X-MICROSOFT-DISALLOW-COUNTER:TRUE
X-MS-OLK-AUTOSTARTCHECK:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
END:VCALENDAR
meet.ics (1,510 bytes)   
sogo-text.txt (2,829 bytes)   
BEGIN:VCALENDAR
PRODID:-//ddaysoftware.com//NONSGML DDay.iCal 1.0//EN
VERSION:2.0
BEGIN:VTIMEZONE
TZID:Russian Standard Time
BEGIN:STANDARD
DTSTART:19701025T030000
RRULE:FREQ=YEARLY;UNTIL=20101231T210000Z;BYMONTH=10;BYDAY=-1SU;BYHOUR=3;BYM
 INUTE=0
TZNAME:RTZ 2 (зима)
TZOFFSETFROM:+0400
TZOFFSETTO:+0300
END:STANDARD
BEGIN:STANDARD
DTSTART:20110101T000000
RRULE:FREQ=YEARLY;UNTIL=20111231T210000Z;BYMONTH=1;BYDAY=1SA;BYHOUR=0;BYMIN
 UTE=0
TZNAME:RTZ 2 (зима)
TZOFFSETFROM:+0400
TZOFFSETTO:+0300
END:STANDARD
BEGIN:STANDARD
DTSTART:20120102T000000
RRULE:FREQ=YEARLY;UNTIL=20121231T210000Z;BYMONTH=1;BYMONTHDAY=1;BYHOUR=0;BY
 MINUTE=0
TZNAME:RTZ 2 (зима)
TZOFFSETFROM:+0300
TZOFFSETTO:+0300
END:STANDARD
BEGIN:STANDARD
DTSTART:20130102T000000
RRULE:FREQ=YEARLY;UNTIL=20131231T210000Z;BYMONTH=1;BYMONTHDAY=1;BYHOUR=0;BY
 MINUTE=0
TZNAME:RTZ 2 (зима)
TZOFFSETFROM:+0300
TZOFFSETTO:+0300
END:STANDARD
BEGIN:STANDARD
DTSTART:20141026T020000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU;BYHOUR=2;BYMINUTE=0
TZNAME:RTZ 2 (зима)
TZOFFSETFROM:+0400
TZOFFSETTO:+0300
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:19700329T020000
RRULE:FREQ=YEARLY;UNTIL=20101231T210000Z;BYMONTH=3;BYDAY=-1SU;BYHOUR=2;BYMI
 NUTE=0
TZNAME:RTZ 2 (лето)
TZOFFSETFROM:+0300
TZOFFSETTO:+0400
END:DAYLIGHT
BEGIN:DAYLIGHT
DTSTART:20110327T020000
RRULE:FREQ=YEARLY;UNTIL=20111231T210000Z;BYMONTH=3;BYDAY=-1SU;BYHOUR=2;BYMI
 NUTE=0
TZNAME:RTZ 2 (лето)
TZOFFSETFROM:+0300
TZOFFSETTO:+0400
END:DAYLIGHT
BEGIN:DAYLIGHT
DTSTART:20120101T000000
RRULE:FREQ=YEARLY;UNTIL=20121231T210000Z;BYMONTH=1;BYMONTHDAY=1;BYHOUR=0;BY
 MINUTE=0
TZNAME:RTZ 2 (лето)
TZOFFSETFROM:+0300
TZOFFSETTO:+0300
END:DAYLIGHT
BEGIN:DAYLIGHT
DTSTART:20130101T000000
RRULE:FREQ=YEARLY;UNTIL=20131231T210000Z;BYMONTH=1;BYMONTHDAY=1;BYHOUR=0;BY
 MINUTE=0
TZNAME:RTZ 2 (лето)
TZOFFSETFROM:+0300
TZOFFSETTO:+0300
END:DAYLIGHT
BEGIN:DAYLIGHT
DTSTART:20140101T000000
RRULE:FREQ=YEARLY;UNTIL=20141231T210000Z;BYMONTH=1;BYDAY=1WE;BYHOUR=0;BYMIN
 UTE=0
TZNAME:RTZ 2 (лето)
TZOFFSETFROM:+0300
TZOFFSETTO:+0400
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
ATTENDEE;PARTSTAT=ACCEPTED;CN=Иванишен Владимир Ярославович;RSVP=TRUE;ROLE=
 REQ-PARTICIPANT:mailto:ivanishen@axioma-soft.ru
CLASS:PUBLIC
DESCRIPTION:  \n
DTEND;TZID=Russian Standard Time:20200131T110000
DTSTAMP:20200131T065920Z
DTSTART;TZID=Russian Standard Time:20200131T100000
LOCATION:Переговорка 303 
PRIORITY:5
SEQUENCE:1
SUMMARY:Skype собеседование 
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000F085208FC3D5D501000000000000000
 010000000C4CE1334360CE64998E2CD2865CAA196
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
X-SOGO-SEND-APPOINTMENT-NOTIFICATIONS:NO
ORGANIZER;CN=Дьяченко Алена;SCHEDULE-STATUS=1.1:mailto:dyachenko@axioma-sof
 t.ru
END:VEVENT
END:VCALENDAR
sogo-text.txt (2,829 bytes)   
francis

francis

2020-01-31 14:02

administrator   ~0014126

Do you also have the time shift when you import the ics from the Web interface?

tfu

tfu

2020-02-02 05:37

reporter   ~0014127

Unfortunately this bug deals now with to different (unrelated) problems.
The problem reported by ondrej.kolin is caused by outlook and there is nothing what can be fixed from sogo side.
--> https://docs.microsoft.com/en-us/openspecs/exchange_server_protocols/ms-oxcical/9b81b753-23fc-4635-a4f0-16445897d22b
--> If a BYMONTHDAY is specified, it MUST specify a single day of the month (BYMONTHDAY=12, but not BYMONTHDAY=14,15).

The reason for the problem reported by publo-aleksey@mail.ru is that timzones with an until= in the rrule element are not handled properly.

publo-aleksey@mail.ru

publo-aleksey@mail.ru

2020-02-04 13:43

reporter   ~0014136

Good evening. Is possible to solve my problem with wrong timezones? How can i help?

tfu

tfu

2020-02-05 10:56

reporter   ~0014139

Regarding the "1 hour shift" see pull request 0000269.

tfu

tfu

2020-02-05 12:38

reporter   ~0014141

@publo-aleksey@mail.ru - Please test with upcoming nightly build.

publo-aleksey@mail.ru

publo-aleksey@mail.ru

2020-02-06 16:19

reporter   ~0014144

Hello! Yes, it looks working. We didn't repeat problem with time today. Tomorrow i'll get approvements from users.
But i have new problem - some times after accept invitation i got two meetings instead one. It has some different time, other properties absolutely identical. It happened on active sync outlook 365 clients too. Problem not repeats every times. Will i create new issue for it?

two_meetings.png (3,247 bytes)   
two_meetings.png (3,247 bytes)   
07_02 1900 - 1930 1.ics (1,638 bytes)   
BEGIN:VCALENDAR
PRODID:-//Microsoft Corporation//Outlook 16.0 MIMEDIR//EN
VERSION:2.0
METHOD:REQUEST
X-MS-OLK-FORCEINSPECTOROPEN:TRUE
BEGIN:VTIMEZONE
TZID:Russian Standard Time
BEGIN:STANDARD
DTSTART:16010101T000000
TZOFFSETFROM:+0300
TZOFFSETTO:+0300
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
ATTENDEE;CN="Греченко Алексей";RSVP=TRUE:mailto:grechenko.a@
	axioma-soft.ru
CLASS:PUBLIC
CREATED:20200206T181408Z
DESCRIPTION:Вечер\nтест 1 \n07_02 19:00 - 19:30\n
DTEND;TZID="Russian Standard Time":20200207T193000
DTSTAMP:20200206T122953Z
DTSTART;TZID="Russian Standard Time":20200207T190000
LAST-MODIFIED:20200206T181408Z
LOCATION:308
ORGANIZER;CN="Алексендр Панов":mailto:panov.a@axioma-soft.ru
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=ru:Встреча 07_02 19:00 - 19:30
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000B0A56F4702DDD501000000000000000
	010000000B618F9BCB9044946882DAF302DD161C5
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 16.0.12325.20288">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted
	 from text/plain format -->\n\n<P>Вечер\n\n<BR>тест 1 \n\n<BR><FO
	NT SIZE=2>07_02 19:00 - 19:30</FONT>\n</P>\n\n</BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-CDO-INTENDEDSTATUS:BUSY
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOSTARTCHECK:FALSE
X-MS-OLK-CONFTYPE:0
BEGIN:VALARM
TRIGGER:-PT15M
ACTION:DISPLAY
DESCRIPTION:Reminder
END:VALARM
END:VEVENT
END:VCALENDAR
07_02 1900 - 1930 1.ics (1,638 bytes)   
07_02 1900 - 1930.ics (1,638 bytes)   
BEGIN:VCALENDAR
PRODID:-//Microsoft Corporation//Outlook 16.0 MIMEDIR//EN
VERSION:2.0
METHOD:REQUEST
X-MS-OLK-FORCEINSPECTOROPEN:TRUE
BEGIN:VTIMEZONE
TZID:Russian Standard Time
BEGIN:STANDARD
DTSTART:16010101T000000
TZOFFSETFROM:+0300
TZOFFSETTO:+0300
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
ATTENDEE;CN="Греченко Алексей";RSVP=TRUE:mailto:grechenko.a@
	axioma-soft.ru
CLASS:PUBLIC
CREATED:20200206T181349Z
DESCRIPTION:Вечер\nтест 1 \n07_02 19:00 - 19:30\n
DTEND;TZID="Russian Standard Time":20200207T193000
DTSTAMP:20200206T122953Z
DTSTART;TZID="Russian Standard Time":20200207T190000
LAST-MODIFIED:20200206T181349Z
LOCATION:308
ORGANIZER;CN="Алексендр Панов":mailto:panov.a@axioma-soft.ru
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=ru:Встреча 07_02 19:00 - 19:30
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000B0A56F4702DDD501000000000000000
	010000000B618F9BCB9044946882DAF302DD161C5
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 16.0.12325.20288">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted
	 from text/plain format -->\n\n<P>Вечер\n\n<BR>тест 1 \n\n<BR><FO
	NT SIZE=2>07_02 19:00 - 19:30</FONT>\n</P>\n\n</BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-CDO-INTENDEDSTATUS:BUSY
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOSTARTCHECK:FALSE
X-MS-OLK-CONFTYPE:0
BEGIN:VALARM
TRIGGER:-PT15M
ACTION:DISPLAY
DESCRIPTION:Reminder
END:VALARM
END:VEVENT
END:VCALENDAR
07_02 1900 - 1930.ics (1,638 bytes)   
tfu

tfu

2020-02-07 01:57

reporter   ~0014145

The new issue you describe sounds like what is reported in bug 4936.

Related Changesets

sogo: master 24fc9a95

2020-02-02 06:14:48

root

Details Diff
fix(calendar): handle tz with until in rrule (fixes 0004943) Affected Issues
0004943
mod - SOPE/NGCards/iCalTimeZonePeriod.m Diff File

sogo: master dda13e60

2020-02-05 11:34:58

ludovic


Committer: GitHub Details Diff
Merge pull request 0000269 from tfux/ics_import

fix(calendar): fallback to tz found in ics (fixes 0004943)
Affected Issues
0004943
mod - SOPE/NGCards/iCalTimeZonePeriod.m Diff File
mod - SoObjects/Appointments/SOGoAppointmentFolder.m Diff File
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File
mod - SoObjects/Appointments/iCalEvent+SOGo.h Diff File
mod - SoObjects/Appointments/iCalEvent+SOGo.m Diff File

Issue History

Date Modified Username Field Change
2020-01-22 03:15 ondrej.kolin New Issue
2020-01-22 03:15 ondrej.kolin File Added: trunc.log
2020-01-22 03:15 ondrej.kolin File Added: Flug-T17565355_1.ics
2020-01-22 03:15 ondrej.kolin File Added: Flug-T17565355_2.ics
2020-01-22 03:15 ondrej.kolin File Added: Hotel-T17565355_1.ics
2020-01-22 11:01 tfu Note Added: 0014085
2020-01-22 13:06 tfu Note Added: 0014086
2020-01-27 02:36 ondrej.kolin Note Added: 0014107
2020-01-28 01:13 tfu Note Added: 0014110
2020-01-29 17:40 publo-aleksey@mail.ru Note Added: 0014119
2020-01-30 03:09 Christian Mack Note Added: 0014120
2020-01-31 13:25 publo-aleksey@mail.ru Note Added: 0014124
2020-01-31 13:26 publo-aleksey@mail.ru File Added: meet.ics
2020-01-31 13:26 publo-aleksey@mail.ru File Added: sogo-text.txt
2020-01-31 13:26 publo-aleksey@mail.ru Note Added: 0014125
2020-01-31 14:02 francis Note Added: 0014126
2020-02-02 05:37 tfu Note Added: 0014127
2020-02-04 13:43 publo-aleksey@mail.ru Note Added: 0014136
2020-02-05 10:56 tfu Note Added: 0014139
2020-02-05 11:35 Changeset attached => sogo master 24fc9a95
2020-02-05 11:35 ludovic Changeset attached => sogo master dda13e60
2020-02-05 11:35 ludovic Assigned To => ludovic
2020-02-05 11:35 ludovic Resolution open => fixed
2020-02-05 12:38 tfu Note Added: 0014141
2020-02-06 16:19 publo-aleksey@mail.ru File Added: two_meetings.png
2020-02-06 16:19 publo-aleksey@mail.ru File Added: 07_02 1900 - 1930 1.ics
2020-02-06 16:19 publo-aleksey@mail.ru File Added: 07_02 1900 - 1930.ics
2020-02-06 16:19 publo-aleksey@mail.ru Note Added: 0014144
2020-02-07 01:57 tfu Note Added: 0014145
2020-02-10 09:42 francis Status new => resolved
2020-02-10 09:42 francis Fixed in Version => 4.3.1